> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Download client data

> Download data from a system of record client



## OpenAPI

````yaml https://api.getcargo.io/openapi.json post /systemOfRecordIntegration/clients/download
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /systemOfRecordIntegration/clients/download:
    post:
      tags:
        - System of Record Integration - Clients
      summary: Download client data
      description: Download data from a system of record client
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                query:
                  type: string
                  title: Query
                  description: Query to download.
                format:
                  title: Format
                  description: Download format.
                  type: string
                  enum:
                    - csv
                    - parquet
              required:
                - query
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  urls:
                    type: array
                    items:
                      type: string
                    title: URLs
                    description: Download URLs.
                required:
                  - urls
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````